Subject: RE: Anyone know why git ls-remote output might be corrupted?

From: <[email-masked]>
Date: Fri, 2 Jun 2023 15:34:06 -0400

On Friday, June 2, 2023 3:13 PM, Paul Smith wrote:
>On Fri, 2023-06-02 at 14:59 -0400, Paul Smith wrote:
>> Also a bunch of the heads are missing.  It's pretty clear that right
>> in the middle of printing one of the SHAs we suddenly lost a bunch of
>> output, and started printing stuff from later (in the last instance
>> 66 out of 131 heads were missing).
>
>I forgot to mention: git ls-remote does not exit with an error code.
>The exit code is 0 (success).
>
>The reason I get this failure is that as I parse the output I notice that the SHA is invalid
>(contains a non-hex character "i") and it throws this error.

Does your CI/CD system use sparse checkout or depth=1 or some other partial clone?